Spaces method and path for this operation:
get /s/{space_id}/api/fleet/data_streams/data
Refer to Spaces for more information.
Check whether one or more data stream index patterns contain any documents indexed at or after the given start time.
[Required authorization] Route required privileges: fleet-read.
Query parameters
-
A comma-separated list of data stream index patterns to check. Each pattern must be of the form
logs-<dataset>-<namespace>ormetrics-<dataset>-<namespace>, where<namespace>is*or a concrete namespace.Maximum length is
4096. -
An ISO 8601 timestamp. Only documents with an
@timestampat or after this time are considered.Maximum length is
64.
GET
/api/fleet/data_streams/data
curl \
--request GET 'https://<KIBANA_URL>/api/fleet/data_streams/data?dataStreams=string&start=string' \
--header "Authorization: $API_KEY"
Response examples (200)
One entry per requested index pattern
{
"results": {
"logs-aws.cloudtrail-*": true,
"metrics-aws.ec2-*": false
}
}
Response examples (400)
A requested pattern is not a supported data stream wildcard
{
"error": "Bad Request",
"message": "Invalid index pattern: \".security-7\"",
"statusCode": 400
}